Bug 964764 - Search lags in overview when status is Online
Search lags in overview when status is Online
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
19
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-19 12:58 EDT by hrafnkellbrimar
Modified: 2015-02-17 10:16 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:16:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hrafnkellbrimar 2013-05-19 12:58:02 EDT
Description of problem:

I Have two "Online Accounts" enabled, Facebook and Google. I also have two additional mail accounts in Evolution, IMAP+ and EWS, if that is at all relevant. This is possibly an Empathy bug, but posted here as Gnome Shell is the affected component. Please move to appropriate place if necessary.

Whenever I set my status in the user menu to "Online", search in shell overview starts to lag. I start typing and as I start typing the third letter or so, everything freezes, and then resumes about 10 seconds later, completing the letters I was typing and returning everything I typed after the freeze. The same happens when I erase letters in the search, everything freezes temporarily. When status is set to "Offline" search functions normally

I've tested this on a F19 x86_64 image (updated May 18) and i686, PAE kernel (updated May 19) with identical results.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Change status to online (Facebook and Gmail account)
2. Enter Activites Overview.
3. Start typing.
  
Actual results:
Shell freezes temporarily after two keystrokes.

Expected results:
Search results returned right away.

Additional info:
System Software / Hardware Information (from Phoronix test suite)

Hardware:
Processor: Intel Core i3 370M @ 2.40GHz (4 Cores), Motherboard: TOSHIBA PWWAA v1.00, Chipset: Intel Core DRAM, Memory: 6144MB, Disk: 250GB TOSHIBA MK2565GS, Graphics: Intel Core IGP, Audio: Realtek ALC259, Network: Realtek RTL8101E/RTL8102E + Realtek RTL8188CE 802.11b/g/n

Software:
OS: Fedora 19 (Schrdingers Cat), Kernel: 3.9.2-301.fc19.i686.PAE* (i686), Desktop: GNOME Shell 3.8.2, Display Server: X Server 1.14.1, Display Driver: intel 2.21.6, OpenGL: 2.1 Mesa 9.2.0, File-System: ext4, Screen Resolution: 1366x768

*also tested x86_64 as I've stated.
Comment 1 hrafnkellbrimar 2013-05-24 07:59:47 EDT
I have now had several updates, testing updates enabled, and the bug is still present. I believe both Gnome Shell and Empathy have had at least one update. For a workaround I've found that disabling contacts search in the settings allows me to have an online status while using the overview, but contacts search remains broken.
Comment 2 lysbleu 2013-06-09 15:49:09 EDT
I can confirm that bug when I am "available" with just a facebook account, on kernel 3.9.4-301.fc19.x86_64 and everything updated (updates-testing enabled). This makes the search unusable.
Comment 3 hrafnkellbrimar 2013-06-12 19:45:19 EDT
The latest update to Gnome Shell 3.8.3 seems to have fixed this. Search is amazingly fast now and no lag whatsoever. If others can confirm this I suppose this bug can be closed.
Comment 4 hrafnkellbrimar 2013-06-23 17:49:40 EDT
Bug is back, same as before, with the latest updates. Search unusable with online status.
Comment 5 Yann Bane 2013-07-19 05:12:00 EDT
I'm experiencing the same issue, although I haven't tested whether it depends on my availability status in GNOME.

However, I can confirm that the 10-second lag which makes the search completely unusable is happening when I'm "Online", also on Google and Facebook  -  but I'm not sure what's happening when I'm offline as I haven't specifically tried it.

IMPORTANT:
I have filed an upstream bug, to the GNOME team, here: https://bugzilla.gnome.org/show_bug.cgi?id=704502
Comment 6 Fedora End Of Life 2015-01-09 13:09:16 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 10:16:30 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.